| 0.9.9 API documentation

- Main Page
- Modules
- Files

- File List

Typedefs | Functions
gtx/integer.hpp File Reference

GLM_GTX_integer More...

Go to the source code of this file.

## Typedefs
typedef signed int | sint
| 32bit signed integer. More...

## Functions
template<typename genType >
GLM_FUNC_DECL genType | factorial (genType const &x)
| Return the factorial value of a number (!12 max, integer only) From GLM_GTX_integer extension. More...
GLM_FUNC_DECL unsigned int | floor_log2 (unsigned int x)
| Returns the floor log2 of x. More...
GLM_FUNC_DECL int | mod (int x, int y)
| Modulus. More...
GLM_FUNC_DECL uint | mod (uint x, uint y)
| Modulus. More...
GLM_FUNC_DECL uint | nlz (uint x)
| Returns the number of leading zeros. More...
GLM_FUNC_DECL int | pow (int x, uint y)
| Returns x raised to the y power. More...
GLM_FUNC_DECL uint | pow (uint x, uint y)
| Returns x raised to the y power. More...
GLM_FUNC_DECL int | sqrt (int x)
| Returns the positive square root of x. More...
GLM_FUNC_DECL uint | sqrt (uint x)
| Returns the positive square root of x. More...

## Detailed Description

GLM_GTX_integer

See also
  Core features (dependence)

Definition in file gtx/integer.hpp.